<ion-header>
  <ion-toolbar class="backazul">
    <ion-row class="backazul">
      <ion-col size="2" class="ion-text-center">
        <ion-icon name="arrow-back-sharp" style="font-size: 27px;color: #ffffff;font-weight: bolder;" [routerLink]="['/tabs/tab2/nueva-tarea']"></ion-icon>
      </ion-col>
      <ion-col size="8" class="ion-text-center">
          <h1 style="color: white;margin:0px;">NUEVA CITA</h1>
      </ion-col>
      <ion-col size="2">

      </ion-col>
    </ion-row>
  </ion-toolbar>
</ion-header>

<ion-content>
<ion-row class="pad ion-margin-top">
      <ion-col size="12" *ngIf="prospecto !== '0'" class="ion-text-left">
        <ion-label color="primary">Cliente/Empresa</ion-label>
      </ion-col>

      <ion-col size="12" *ngIf="prospecto === '0'" class="ion-text-left">
        <ion-label color="primary">Prospecto</ion-label>
      </ion-col>

      <ion-col size="12">
        <ion-input rows="1" disabled style="border-radius: 12px;width: 100%;border: 1px solid black;height: 60%;padding-top: 2%!important;
        padding-bottom: 2%!important;text-transform: capitalize;">{{ nombreE }}</ion-input>
      </ion-col>

      <ion-col size="12" *ngIf="prospecto !== '0'" class="ion-text-left">
        <ion-label color="primary">Sucursal/Obra</ion-label>
      </ion-col>

      <ion-col size="12">
        <ion-input *ngIf="this.idsuc!=0" rows="1" disabled style="border-radius: 12px;width: 100%;border: 1px solid black;height: 60%;padding-top: 2%!important;
        padding-bottom: 2%!important;text-transform: capitalize;">{{ nombreSuc }}</ion-input>

        <ion-input *ngIf="this.idsuc==0" rows="1" disabled style="border-radius: 12px;width: 100%;border: 1px solid black;height: 60%;padding-top: 2%!important;
        padding-bottom: 2%!important;text-transform: capitalize;">sin sucursales</ion-input>
      </ion-col>

      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary">Para</ion-label>
      </ion-col>

      <ion-col size="12">
        <ion-input rows="1" disabled style="border-radius: 12px;width: 100%;border: 1px solid black;height: 60%;padding-top: 2%!important;
        padding-bottom: 2%!important;text-transform: capitalize;">{{ nombrePara }}</ion-input>
      </ion-col>

      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary">Dirección</ion-label>
      </ion-col>
      <ion-col size="12" *ngIf="this.idsuc!=0">
        <ion-textarea rows="1" disabled>{{ direccion }}</ion-textarea>
      </ion-col>

      <ion-col size="12" *ngIf="this.idsuc==0">
        <ion-textarea rows="1" disabled>{{ direccion2 }}</ion-textarea>
      </ion-col>

      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary">Motivo</ion-label>
      </ion-col>
      <ion-col size="12">
        <ion-input [(ngModel)]="Motivo"></ion-input>
      </ion-col>

      <ion-col size="12" class="ion-text-left mt-20" style="position:relative;">
        <ion-label color="primary">Adjuntar archivo</ion-label>
        <label for="archivoco" id="labelco"></label>
        <input style="height: 0px;width: 0px;" type="file" id="archivoco"
              (change)="onFileChanged($event)" class="hidden" multiple="true"
              accept="audio/*,video/*,.zip,.rar,.7zip,.xlsx,.xls,image/*,.doc, .docx,.ppt, .pptx,.txt,.pdf">
    </ion-col>
    <ion-col size="12">

      <div *ngFor="let archivonom of nombredearchivos; let i = index" class="row">
          <div class="col-md-12">
              <img *ngIf="tipodearchivo[i] === 'png' || tipodearchivo[i] === 'jpg'
              || tipodearchivo[i] === 'jpeg' || tipodearchivo[i] === 'gif'
              || tipodearchivo[i] === 'bmp' || tipodearchivo[i] === 'ico'"
              src="../../../assets/img/images-outline.svg" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'doc' || tipodearchivo[i] === 'dot'
              || tipodearchivo[i] === 'docx'"
              src="../../../assets/img/word.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'xls' || tipodearchivo[i] === 'xlsx'
              || tipodearchivo[i] === 'csv' || tipodearchivo[i] === 'xlk'
              || tipodearchivo[i] === 'xlm' || tipodearchivo[i] === 'ctt'"
              src="../../../assets/img/excel.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'pps' || tipodearchivo[i] === 'ppt'
              || tipodearchivo[i] === 'pptx'"
              src="../../../assets/img/power.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'pdf'"
              src="../../../assets/img/pdf.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'zip' || tipodearchivo[i] === '7z'
              || tipodearchivo[i] === 'rar'"
              src="../../../assets/img/zip.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'mp3' || tipodearchivo[i] === 'mid'
              || tipodearchivo[i] === 'wav' || tipodearchivo[i] === 'aac'"
              src="../../../assets/img/musica.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'avi' || tipodearchivo[i] === 'mkv'
              || tipodearchivo[i] === 'flv' || tipodearchivo[i] === 'mov'
              || tipodearchivo[i] === 'wmv' || tipodearchivo[i] === 'mp4'"
              src="../../../assets/img/video.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] !== 'png' && tipodearchivo[i] !== 'jpg'
              && tipodearchivo[i] !== 'jpeg' && tipodearchivo[i] !== 'gif'
              && tipodearchivo[i] !== 'bmp' && tipodearchivo[i] !== 'ico' &&
              tipodearchivo[i] !== 'doc' && tipodearchivo[i] !== 'dot'
              && tipodearchivo[i] !== 'docx' && tipodearchivo[i] !== 'xls' && tipodearchivo[i] !== 'xlsx'
              && tipodearchivo[i] !== 'csv' && tipodearchivo[i] !== 'xlk'
              && tipodearchivo[i] !== 'xlm' && tipodearchivo[i] !== 'ctt' &&
              tipodearchivo[i] !== 'pps' && tipodearchivo[i] !== 'ppt'
              && tipodearchivo[i] !== 'pptx' && tipodearchivo[i] !== 'pdf' &&
              tipodearchivo[i] !== 'zip' && tipodearchivo[i] !== '7z'
              && tipodearchivo[i] !== 'rar' && tipodearchivo[i] !== 'mp3' && tipodearchivo[i] !== 'mid'
              && tipodearchivo[i] !== 'wav' && tipodearchivo[i] !== 'aac' &&
              tipodearchivo[i] !== 'avi' && tipodearchivo[i] !== 'mkv'
              && tipodearchivo[i] !== 'flv' && tipodearchivo[i] !== 'mov'
              && tipodearchivo[i] !== 'wmv' && tipodearchivo[i] !== 'mp4'"
              src="../../../assets/img/archivo.png" width="10x" height="10px"
              class="mr-2 imgS">

                  <label> {{ (archivonom).substr(-28)}}</label><img (click)="quitararchivo(i)"
                  src="../../../assets/img/close-sharp.svg" class="pl-1 imgS" width="10px" height="10px" style="padding-top: 2%;">
          </div>
      </div>

    </ion-col>

      <ion-col size="12" class="ion-text-left mt-20">
        <ion-label color="primary">Fecha y Hora</ion-label>
      </ion-col>
      <ion-col size="12">
        <label style="font-style: italic; color: #333333;">Inicia</label>
      </ion-col>
      <ion-col size="12">
        <ion-row>
          <ion-col size="3">
            <label>Fecha</label>
          </ion-col>
          <ion-col size="6">
            <input
            class="input form-control"
            [(ngModel)]="fechainicio"
            type="date"
            (change)="fecha()"
            style="border-radius: 25px;padding-left: 5%;padding-right: 5%;border:none;background:#f2f2f2;"/>
          </ion-col>
          <ion-col size="3"></ion-col>
        </ion-row>
      </ion-col>
      <ion-col size="12">
        <ion-row>
          <ion-col size="2">
            <label class="mt-3">Hora</label>
          </ion-col>
          <ion-col size="6">
            <input
            class="mt-3 input form-control"
            [(ngModel)]="horainicial"
            type="time"
            (change)="fecha()"
            style="border-radius: 25px;padding-left: 5%;padding-right: 5%;border:none;background:#f2f2f2;"/>
          </ion-col>
          <ion-col size="4"></ion-col>
          <ion-col size="12">
            <label *ngIf="fechayhorainicial !== ''">{{
              fechayhorainicial
            }}</label>
            <label
              *ngIf="fechayhorainicial === ''"
              class="invalid-feedback d-block" style="color: red;"
              >Debes escoger una fecha o hora mayor a la actual</label
            >
          </ion-col>
        </ion-row>
      </ion-col>
      <ion-col size="12">
        <label style="font-style: italic; color: #333333;">Termina</label>
      </ion-col>
      <ion-col size="12">
        <ion-row>
          <ion-col size="3">
            <label>Fecha</label>
          </ion-col>
          <ion-col size="6">
            <input
            class="input form-control"
            [(ngModel)]="fechafinal"
            type="date"
            (change)="fecha1()"
            style="border-radius: 25px;padding-left: 5%;padding-right: 5%;border:none;background:#f2f2f2;"/>
          </ion-col>
          <ion-col size="3"></ion-col>
        </ion-row>
      </ion-col>
      <ion-col size="12">
        <ion-row>
          <ion-col size="2">
            <label class="mt-3">Hora</label>
          </ion-col>
          <ion-col size="6">
            <input
            class="mt-3 input form-control"
            [(ngModel)]="horafinal"
            type="time"
            (change)="fecha1()"
            style="border-radius: 25px;padding-left: 5%;padding-right: 5%;border:none;background:#f2f2f2;"/>
          </ion-col>
          <ion-col size="4"></ion-col>
          <ion-col size="12">
            <label *ngIf="fechayhorafinal !== ''">{{
              fechayhorafinal
            }}</label>
            <label
              *ngIf="fechayhorafinal === ''"
              class="invalid-feedback d-block" style="color: red;"
              >Debes escoger una fecha o hora mayor a la fecha de
              inicio</label
            >
          </ion-col>
        </ion-row>
      </ion-col>

      <ion-col size="12" class="ion-text-left mt-20">
        <ion-label color="primary">Recordatorio</ion-label>
      </ion-col>
      <ion-col size="12">
        <ion-select okText="Aceptar" cancelText="Cancelar" placeholder="Elegir recordatorio" [(ngModel)]="idrecordatorio">
          <ion-select-option *ngFor="let recor of recordatorioinfO" value="{{ recor.idRecordatorios }}">{{recor.Tiempo}}</ion-select-option>
        </ion-select>
      </ion-col>
    </ion-row>

    <ion-row class="ion-margin-bottom">
      <ion-col size="12" class="ion-text-center">
        <ion-button color="primary" (click)="crearcita()" [disabled]="idemp === '' || Motivo === '' || fechainicio === '' || horainicial === '' || fechafinal === '' || horafinal === '' || idrecordatorio === '' || fechayhorafinal === '' || fechayhorainicial === '' ">
          <ion-icon name="paper-plane-sharp"></ion-icon>
        CREAR
        </ion-button>
      </ion-col>
    </ion-row>

</ion-content>
